.fondo-fijo {
    height: 80vmin;
    width: calc(100vw-4rem);
    position: fixed;
    top: 13vw;
    left: 2rem;
    right: 2rem;
    z-index: -10;
}

.bajada {
    font-size: 2em;
    text-align: right;
    font-family: "Special Elite", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.imagenrecortada img {
    width: 100vw;
}

.imagenrecortada {
    margin-top: 2vw;
}

#secundaria.imagenrecortada {
    margin-top: -7vw;
}

#inicial.imagenrecortada {
    margin-top: 14vw;
}

.contenido {
    position: relative;
    background-color: var(--verde-principal);
}

.titular,
.titular-izq,
.titular-primaria,
.subtitular,
.subtitular-institucional,
.subtitular-simple {
    font-family: "Sunday";
    color: var(--claro);
    margin-top: 0;
    margin-bottom: 0;
    padding-top: 0;
    padding-bottom: 0;
}

.titular,
.titular-primaria {
    font-size: 17vw; /* original: 9.45vw */
    line-height: 11vw;
    text-align: right;
}

.titular-izq {
    font-size: 15vw; /* original: 8.3vw; */
    line-height: 11vw;
    text-align: left;
}

.subtitular {
    position: absolute;
    width: 100%;
    font-size: 9vw;
    line-height: 10vw;
    top: -12vw;
    text-align: center;
}

.subtitular::after {
    content: "";
    display: block;
    width: 100%;
    height: 8vw;
    background: var(--verde-principal);
    position: absolute;
    top: 40%;
    z-index: -1;
}

.saludo-direccion {
    width: 70ch;
    margin: 8vw auto 0;
    text-align: center;
    color: #feedd1;
    margin-bottom: 5em;
    font-size: 1.25rem;
    line-height: 2.2rem;
}

.firma {
    width: 12rem;
    margin: 0 0 0 auto;
}

.firma p {
    margin-top: -4rem;
    text-align: center;
}

/* ------ CARTELERA ------------*/

.cartelera {
    background: var(--verde-intermedio);
    width: 100%;
    margin-top: 4rem;
}

.cartelera-inscripciones {
    background: var(--claro);
    width: 100%;
    margin-block: 4rem;
    h1 {
        color: var(--verde-principal);
        padding-block: 1rem;
    }
}

.cartelera .componentes {
    text-align: center;
}

.cartelera img {
    max-height: 4rem;
    width: auto;
    height: auto;
    margin: 1.5rem;
}

/* ------ SECTORES --------------*/

ul.sectores {
    list-style: none;
    padding-inline-start: 0;
}

.sectores {
    margin: 5em 0;
    width: 85%;
    margin: 0 auto;
    text-align: center;
    color: #feedd1;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 3em;
}

.sectores h1,
.sectores h3 {
    font-size: 3rem;
    padding: 0;
    margin-block-start: 0.67em;
    margin-block-end: 0.67em;
}

/* ------ ÁREAS --------------*/

.areas {
    padding: 3.5em 0;
    container-type: inline-size;
    container-name: areas;
}

ul.grilla {
    list-style: none;
    padding-inline-start: 0;
}

.grilla {
    display: grid;
    grid-gap: 0;
}

ul.grilla li a {
    display: block;
    height: 100%;
    background-size: 100%;
    background-position: center;
}

ul.grilla li a.areainformatica {
    background-image: url("../imagenes/areas/areas-Informatica-monocromo.jpg");
}

ul.grilla li a.areadeportes {
    background-image: url("../imagenes/areas/areas-Deportes-monocromo.jpg");
}

ul.grilla li a.areaingles {
    background-image: url("../imagenes/areas/areas-Ingles-monocromo.jpg");
}

ul.grilla li a.arealudificacion {
    background-image: url("../imagenes/areas/areas-Ludificacion-monocromo.jpg");
}

ul.grilla li a.areapastoral {
    background-image: url("../imagenes/areas/areas-pastoral-monocromo.jpg");
}

ul.grilla li a.areacapp {
    background-image: url("../imagenes/areas/areas-capp-monocromo.jpg");
}

ul.grilla li a:hover.areainformatica {
    background-image: url("../imagenes/areas/areas-Informatica-color.jpg");
}

ul.grilla li a:hover.areadeportes {
    background-image: url("../imagenes/areas/areas-Deportes-color.jpg");
}

ul.grilla li a:hover.areaingles {
    background-image: url("../imagenes/areas/areas-Ingles-color.jpg");
}

ul.grilla li a:hover.arealudificacion {
    background-image: url("../imagenes/areas/areas-Ludificacion-color.jpg");
}

ul.grilla li a:hover.areapastoral {
    background-image: url("../imagenes/areas/areas-pastoral-color.jpg");
}

ul.grilla li a:hover.areacapp {
    background-image: url("../imagenes/areas/areas-capp-color.jpg");
}

ul.grilla li:has(a:hover) {
    width: 120%;
    height: 120%;
    z-index: 10;
    margin-top: -5%;
    margin-left: -10%;
}

@container areas ( width > 1226px ) {
    .grilla {
        grid-template-columns: repeat(3, 1fr);
    }

    ul.grilla li {
        width: 33.33vw;
        height: 13.82vw;
    }
}

@container areas ( 626px < width < 1227px  ) {
    .grilla {
        grid-template-columns: repeat(2, 1fr);
    }

    ul.grilla li {
        width: 50vw;
        height: 20.73vw;
    }
}

@container areas ( width < 627px ) {
    .grilla {
        /*grid-template-columns: 1fr; */
        display: block;
    }

    ul.grilla li {
        width: 100vw;
        height: 41.46vw;
    }

    ul.grilla li a {
        height: 41.46vw;
        background-size: 100%;
        background-position: center;
    }

    ul.grilla li a.areainformatica {
        background-image: url("../imagenes/areas/areas-Informatica-monocromo_txt.jpg");
    }

    ul.grilla li a.areadeportes {
        background-image: url("../imagenes/areas/areas-Deportes-monocromo_txt.jpg");
    }

    ul.grilla li a.areaingles {
        background-image: url("../imagenes/areas/areas-Ingles-monocromo_txt.jpg");
    }

    ul.grilla li a.arealudificacion {
        background-image: url("../imagenes/areas/areas-Ludificacion-monocromo_txt.jpg");
    }

    ul.grilla li a.areapastoral {
        background-image: url("../imagenes/areas/areas-pastoral-monocromo_txt.jpg");
    }

    ul.grilla li a.areacapp {
        background-image: url("../imagenes/areas/areas-capp-monocromo_txt.jpg");
    }

    ul.grilla li:has(a:hover) {
        margin-top: 0;
        margin-left: -11%;
    }
}

/* ------- MAPA ------------- */

.mapa {
    width: 85%;
    margin: 0 auto;
    padding-block: 5em;
    text-align: right;
    color: #feedd1;
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-gap: 3em;
}

.mapa p {
    line-height: 1.5rem;
}

.fondo-mapa {
    background: var(--verde-intermedio);
    width: 100%;
}

/*
  ==============
  TAMAÑO MEDIANO
  ==============
  */

@media (max-width: 1226px) {
    .fondo-fijo {
        top: 15vw;
    }

    .bajada {
        font-size: 1.2em;
    }

    .sectores h1,
    .sectores h3 {
        font-size: 2rem;
    }

    .mapa {
        grid-template-columns: 1fr 1fr;
    }

    .titular,
    .titular-primaria {
        font-size: 16vw; /* original: 9vw; */
        line-height: 10vw;
        padding-top: 0.5rem;
    }

    .titular-izq {
        font-size: 15vw; /* original: 8vw; */
        line-height: 10vw;
    }

    .imagenrecortada {
        margin-top: -4.5vw;
    }

    #primaria.imagenrecortada {
        margin-top: 0vw;
    }

    #secundaria.imagenrecortada {
        margin-top: -7.5vw;
    }

    #inicial.imagenrecortada {
        margin-top: 13vw;
    }

    .saludo-direccion {
        font-size: 1.12rem;
        line-height: 1.9rem;
        width: 85%;
    }
}

/*
  ==============
  TAMAÑOS INTERMEDIO ESPECIALES
  ==============
  */

@media (max-width: 1060px) {
    .bajada {
        font-size: 1em;
    }

/*
    ==============
    TAMAÑO PEQUEÑO
    ==============
*/

@media (max-width: 626px) {
    .fondo-fijo {
        top: clamp(5rem, 12vw, 10rem);
    }

    .bajada {
        font-size: 0.9em;
        margin-top:0.5rem;
    }

    .sectores {
        display: block;
        width: 75%;
    }

    .sectores h1 {
        font-size: 3rem;
    }

    .mapa {
        width: 100%;
        text-align: center;
        display: flex;
        flex-direction: column-reverse;
    }

    .titular {
        font-size: 15vw; /* original: 8.5vw; */
        line-height: 10vw;
    }

    .titular-primaria {
        font-size: 13vw; /* original: 7.25vw; */
        line-height: 10vw;
    }

    .titular-izq {
        font-size: 14vw; /* original: 7.5vw; */
        padding-top: 4vw;
    }

    .imagenrecortada {
        margin-top: -3.5vw;
    }

    #primaria.imagenrecortada {
        margin-top: -4.5vw;
    }

    #inicial.imagenrecortada {
        margin-top: 8vw;
    }

    .saludo-direccion {
        font-size: 1rem;
        line-height: 1.6rem;
        text-align: left;
    }
}
